# DataExchange
TKXCAFSchema
MXCAFDoc

# MXCAFDoc_ColorToolStorageDriver Class Reference

`#include <MXCAFDoc_ColorToolStorageDriver.hxx>`

## Public Member Functions

Standard_EXPORT | MXCAFDoc_ColorToolStorageDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: XCAFDoc_Color. .
Standard_EXPORT Handle_PDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, const Handle(PDF_Attribute)&Target, const Handle(MDF_SRelocationTable)&RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MXCAFDoc_ColorToolStorageDriver::MXCAFDoc_ColorToolStorageDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const MXCAFDoc_ColorToolStorageDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_PDF_Attribute MXCAFDoc_ColorToolStorageDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void MXCAFDoc_ColorToolStorageDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | const Handle(PDF_Attribute)& | Target,
|  | const Handle(MDF_SRelocationTable)& | RelocTable
| ) | const

Standard_EXPORT Handle_Standard_Type MXCAFDoc_ColorToolStorageDriver::SourceType | ( |  | ) | const

Standard_EXPORT Standard_Integer MXCAFDoc_ColorToolStorageDriver::VersionNumber | ( |  | ) | const

The documentation for this class was generated from the following file:

- MXCAFDoc_ColorToolStorageDriver.hxx